AI Guard Config Management API Reference
Base URL
ai-guard.<csp>.<region>.pangea.cloudcurl -sSLX POST 'https://ai-guard.aws.us.pangea.cloud/v1beta/config' \
-H 'Authorization: Bearer <your_token>' \
-H 'Content-Type: application/json' \
-d '{}'Response
Get AI Guard config
Retrieve an AI Guard service configuration by its ID.
curl -sSLX POST 'https://ai-guard.aws.us.pangea.cloud/v1beta/config/create' \
-H 'Authorization: Bearer <your_token>' \
-H 'Content-Type: application/json' \
-d '{}'This endpoint cannot be called through the documentation site
Create AI Guard config
Create a new AI Guard service configuration.
curl -sSLX POST 'https://ai-guard.aws.us.pangea.cloud/v1beta/config/update' \
-H 'Authorization: Bearer <your_token>' \
-H 'Content-Type: application/json' \
-d '{}'Response
Update AI Guard config
Update an AI Guard service configuration.
To update a configuration, first retrieve the current version, apply your changes, and submit the updated configuration to this endpoint.
For a full example using a Project Admin management client, see the Service Configuration APIs documentation.
curl -sSLX POST 'https://ai-guard.aws.us.pangea.cloud/v1beta/config/delete' \
-H 'Authorization: Bearer <your_token>' \
-H 'Content-Type: application/json' \
-d '{}'This endpoint cannot be called through the documentation site
Delete AI Guard config
Delete an AI Guard service configuration.
curl -sSLX POST 'https://ai-guard.aws.us.pangea.cloud/v1beta/config/list' \
-H 'Authorization: Bearer <your_token>' \
-H 'Content-Type: application/json' \
-d '{}'Response
List AI Guard configs
Retrieve a paginated list of AI Guard service configurations.
Status Codes
| Status | Status Code | Description |
|---|---|---|
| AIGBadInputFormat | 400 | The input schema is not currently supported. |
| AIGInvalidRecipe | 400 | Recipe contains invalid contents. |
| AIGMissingSvConnection | 400 | A service dependency was not set up. |
Was this article helpful?